# -*- encoding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse

from grappelli.dashboard import modules, Dashboard
from grappelli.dashboard.utils import get_admin_site_name


class CustomIndexDashboard(Dashboard):
    """
    Custom index dashboard for polynum
    """

    def init_with_context(self, context):
        site_name = get_admin_site_name(context)

        self.children.append(modules.ModelList(
            _(u'Groupes et utilisateurs'),
            column=1,
            collapsible=False,
            models=('django.contrib.*',),
        ))

        self.children.append(modules.ModelList(
            _(u'Demandes'),
            column=1,
            collapsible=False,
            models=('polynum.base.models.request.Request',
                #'polynum.base.models.request.RequestStatus',
                'polynum.base.models.request.DeliveryPlace',
                ),
        ))

        self.children.append(modules.ModelList(
            _(u'Documents'),
            column=1,
            collapsible=False,
            models=('polynum.base.models.request.Document',
                'polynum.base.models.request.DocumentUsage',
                'polynum.base.models.request.DocumentLicence',
                ),
        ))

        self.children.append(modules.ModelList(
            _(u'Profils de reprographie'),
            column=1,
            collapsible=False,
            models=('polynum.base.models.profile.Profile',
                'polynum.base.models.profile.ProfileOption',
                #'polynum.base.models.profile.ProfileOptionChoice',
                ),
        ))

        self.children.append(modules.ModelList(
            _(u'Gestion des rôles'),
            column=1,
            collapsible=False,
            models=('polynum.base.models.rbac.RoleAssociation',
                'polynum.base.models.rbac.ActionAssociation',
                'polynum.base.models.request.RequestStatus',
                'django.contrib.auth.models.Group',
                ),
        ))

        self.children.append(modules.ModelList(
            _(u'Entités'),
            column=1,
            collapsible=False,
            models=('polynum.base.models.entity.Entity',
                ),
        ))

