# Create your views here.

import json

from django.http import HttpResponse
from django.db.models import Q
from django.shortcuts import render

import polynum.base.models as models

def entity(request, parent_code=None):
    _filter = request.GET.get('filter')
    if parent_code:
        qs = models.Entity.objects.filter(parent_relations__parent__code=parent_code, parent_relations__direct=True)
    else:
        qs = models.Entity.objects.filter(parent_relations__isnull=True)
    if _filter:
        q = Q(description__icontains=_filter) | Q(children_relations__child__description__icontains=_filter)
        qs = qs.filter(q).distinct()
    return HttpResponse(json.dumps(list(qs.values('code', 'description'))))

def entity_selector(request):
    return render(request, 'polynum/entity_selector.html')
