from django.conf import settings
from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    url(r'^grappelli/', include('grappelli.urls')),
    url(r'^admin/', include(admin.site.urls)),

    url(r'^request/', include('polynum.request.urls')),
    url(r'^', include('polynum.pages.urls')),
    url(r'^', include('polynum.entity.urls')),
    )

if 'django_cas.backends.CASBackend' in settings.AUTHENTICATION_BACKENDS:
    urlpatterns += patterns('',
            url(r'^accounts/login/$', 'django_cas.views.login', name='login'),
            url(r'^accounts/logout/$', 'django_cas.views.logout', name='logout'),
            )
else:
    urlpatterns += patterns('',
            url(r'^accounts/login/$', 'django.contrib.auth.views.login', 
                {'template_name': 'login.html'}, name='login'),
            url(r'^accounts/logout/$', 'django.contrib.auth.views.logout', 
                {'template_name': 'logout.html'}, name='logout'),
            )


